Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.containers
Class CommandLinePicoContainerTestCase

    java.lang.Object
      org.picocontainer.containers.CommandLinePicoContainerTestCase

    public class CommandLinePicoContainerTestCase

extends Object

Nested Class Summary
`static class` | `CommandLinePicoContainerTestCase.NeedsAFew`
`static class` | `CommandLinePicoContainerTestCase.NeedsAFew2`
`static class` | `CommandLinePicoContainerTestCase.NeedsAFew3`
`static class` | `CommandLinePicoContainerTestCase.NeedsString`

Constructor Summary
`CommandLinePicoContainerTestCase()`

Method Summary
`void` | `testAnnotatedFieldInjectionComponentCanDependOnConfig()`
`void` | `testAsParentContainer()`
`void` | `testBasicParsing()`
`void` | `testbyTypeFailsEvenIfOneOfSameType()`
`void` | `testConstructorInjectionComponentCanDependOnConfig()`
`void` | `testParsingOfPropertiesFile()`
`void` | `testParsingOfPropertiesFileAndArgs()`
`void` | `testParsingOfPropertiesFileAndArgsWithClash()`
`void` | `testParsingWithDiffSeparator()`
`void` | `testParsingWithWrongSeparator()`
`void` | `testRepresentationOfContainerTree()`
`void` | `testSetterInjectionComponentCanDependOnConfig()`
`void` | `testUnsatisfiableIfNoSuitableTyesForInjection()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLinePicoContainerTestCase

    public CommandLinePicoContainerTestCase()

Method Detail

### testBasicParsing

    public void testBasicParsing()

### testAsParentContainer

    public void testAsParentContainer()

### testParsingWithDiffSeparator

    public void testParsingWithDiffSeparator()

### testParsingWithWrongSeparator

    public void testParsingWithWrongSeparator()

### testParsingOfPropertiesFile

    public void testParsingOfPropertiesFile()
                                     throws IOException

  Throws:
    `IOException`

### testParsingOfPropertiesFileAndArgs

    public void testParsingOfPropertiesFileAndArgs()
                                            throws IOException

  Throws:
    `IOException`

### testParsingOfPropertiesFileAndArgsWithClash

    public void testParsingOfPropertiesFileAndArgsWithClash()
                                                     throws IOException

  Throws:
    `IOException`

### testbyTypeFailsEvenIfOneOfSameType

    public void testbyTypeFailsEvenIfOneOfSameType()

### testUnsatisfiableIfNoSuitableTyesForInjection

    public void testUnsatisfiableIfNoSuitableTyesForInjection()

### testConstructorInjectionComponentCanDependOnConfig

    public void testConstructorInjectionComponentCanDependOnConfig()

### testSetterInjectionComponentCanDependOnConfig

    public void testSetterInjectionComponentCanDependOnConfig()

### testAnnotatedFieldInjectionComponentCanDependOnConfig

    public void testAnnotatedFieldInjectionComponentCanDependOnConfig()

### testRepresentationOfContainerTree

    public void testRepresentationOfContainerTree()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.